#include "mv.hh"

// initialize structure to a vector of size 0
void
Vec::Initialize() {
  size   = 0 ;
  values = nullptr ;
}

// alocate a vector to teh size: size
void
Vec::Allocate( int size ) {
  this->size = size ;
  // check if alreay allocated
  if ( this->values != nullptr ) delete [] this->values ;
  this->values = new double[size] ;
}

void
Vec::Fill( double val ) {
  for ( int i = 0 ; i < this->size ; ++i )
    this->values[i] = val ;
}

void
Vec::Free( ) {
  // check if alreay de-allocated
  if ( this->values != nullptr ) delete [] this->values ;
  this->size = 0 ;
}

